require "net/http"
require "json"
class SimpleRequest
  attr_accessor :params,:url
  
  def initialize
    @params={}
  end
  
  def post(format="normal")
    url=URI(@url)
    res=""
    http=Net::HTTP
    if format=="normal"
       res=http.post_form(url,@params)
    elsif format=="json"
       json_data=JSON.generate(@params)
       res=http.post_form(url,'json'=>json_data)
    end
    res.body
  end
  
  def get(format="normal")
    url=URI(@url)
    res=Net::HTTP.get(url)
    if format=="normal"
        return res
    elsif format=="json"
        return JSON.parse(res)
    end
  end
  
  def clear_params
    @params={}
  end
end
